﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace ConfigFileManager.ViewModels.Dialog;

internal partial class ConfigFileViewModel : ObservableObject, IDialogAware
{
    public DialogCloseListener RequestClose { get; set; }

    public bool CanCloseDialog()
    {
        return true;
    }

    public void OnDialogClosed()
    {
    }

    public void OnDialogOpened(IDialogParameters parameters)
    {
    }


    [RelayCommand]
    private void Close()
    {
        this.RequestClose.Invoke();
    }
}
