﻿using CommunityToolkit.Mvvm.ComponentModel;
using GeneralData;
using System.Collections.ObjectModel;
using UICommon.DataType;

namespace GlobalData;

public partial class DeviceCollection : ObservableObject
{

    [ObservableProperty]
    private ObservableDictionary<DeviceModel, ObservableCollection<DeviceInfo_VM>> _Devices = [];

    //[ObservableProperty]
    //private ObservableDictionary<Guid, DeviceInfo_VM> _RawDevices = [];
}

public partial class DeviceInfo_VM : ObservableObject
{
    [ObservableProperty]
    private DeviceModel _DeviceModel;
    [ObservableProperty]
    private string? _DeviceSubModel;
    [ObservableProperty]
    private string? _DeviceName;
    [ObservableProperty]
    private string? _Position;
    [ObservableProperty]
    private string? _SoftwareVersion;
    [ObservableProperty]
    private Guid? _Guid;
    [ObservableProperty]
    private string? _IP;
    [ObservableProperty]
    private ushort _Port;
    [ObservableProperty]
    private string? _DBConnectionString;
    [ObservableProperty]
    private DateTime _UpdateTime;
}
